/*
 *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
*****************************************************************************/
'use strict';Object.defineProperty(exports,"__esModule",{value:!0});var React=require("react"),isUndefined=a=>void 0===a,isNullOrUndefined=a=>null===a||isUndefined(a),isArray=a=>Array.isArray(a);let isObjectType=a=>"object"===typeof a;var isObject=a=>!isNullOrUndefined(a)&&!isArray(a)&&isObjectType(a),isHTMLElement=a=>isObject(a)&&a.nodeType===Node.ELEMENT_NODE;
let VALIDATION_MODE={onBlur:"onBlur",onChange:"onChange",onSubmit:"onSubmit"},VALUE="value",UNDEFINED="undefined",EVENTS={BLUR:"blur",CHANGE:"change",INPUT:"input"},INPUT_VALIDATION_RULES={max:"max",min:"min",maxLength:"maxLength",minLength:"minLength",pattern:"pattern",required:"required",validate:"validate"},REGEX_IS_DEEP_PROP=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,REGEX_IS_PLAIN_PROP=/^\w*$/,REGEX_PROP_NAME=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,
REGEX_ESCAPE_CHAR=/\\(\\)?/g;function attachEventListeners({field:a,handleChange:b,isRadioOrCheckbox:c}){({ref:a}=a);isHTMLElement(a)&&a.addEventListener&&b&&(a.addEventListener(c?EVENTS.CHANGE:EVENTS.INPUT,b),a.addEventListener(EVENTS.BLUR,b))}var isKey=a=>!isArray(a)&&(REGEX_IS_PLAIN_PROP.test(a)||!REGEX_IS_DEEP_PROP.test(a));let stringToPath=a=>{const b=[];a.replace(REGEX_PROP_NAME,(a,d,e,f)=>{b.push(e?f.replace(REGEX_ESCAPE_CHAR,"$1"):d||a)});return b};
function set(a,b,c){let d=-1;b=isKey(b)?[b]:stringToPath(b);let e=b.length,f=e-1;for(;++d<e;){let e=b[d];var h=c;d!==f&&(h=a[e],h=isObject(h)||isArray(h)?h:isNaN(b[d+1])?{}:[]);a[e]=h;a=a[e]}return a}
var transformToNestObject=a=>Object.entries(a).reduce((a,[c,d])=>isKey(c)?Object.assign(Object.assign({},a),{[c]:d}):(set(a,c,d),a),{}),get=(a,b,c)=>{let d=b.split(/[,[\].]+?/).filter(Boolean).reduce((a,b)=>isNullOrUndefined(a)?a:a[b],a);return isUndefined(d)||d===a?a[b]||c:d},focusErrorField=(a,b)=>{for(let c in a)if(get(b,c)){let b=a[c];if(b)if(isHTMLElement(b.ref)&&b.ref.focus){b.ref.focus();break}else if(b.options){b.options[0].ref.focus();break}}},removeAllEventListeners=(a,b)=>{isHTMLElement(a)&&
a.removeEventListener&&(a.removeEventListener(EVENTS.INPUT,b),a.removeEventListener(EVENTS.CHANGE,b),a.removeEventListener(EVENTS.BLUR,b))},isRadioInput=a=>!!a&&"radio"===a.type,isCheckBoxInput=a=>!!a&&"checkbox"===a.type;function isDetached(a){return a?a instanceof HTMLElement&&a.nodeType!==Node.DOCUMENT_NODE?isDetached(a.parentNode):!1:!0}
function findRemovedFieldAndRemoveListener(a,b,c,d){if(c){var {ref:e,ref:{name:f,type:h},mutationWatcher:u}=c;if(h)if(c=a[f],(isRadioInput(e)||isCheckBoxInput(e))&&c){let {options:e}=c;isArray(e)&&e.length?(e.forEach(({ref:a,mutationWatcher:c},f)=>{if(a&&isDetached(a)||d)removeAllEventListeners(a,b),c&&c.disconnect(),e.splice(f,1)}),e&&!e.length&&delete a[f]):delete a[f]}else{if(isDetached(e)||d)removeAllEventListeners(e,b),u&&u.disconnect(),delete a[f]}else delete a[f]}}
let defaultReturn={isValid:!1,value:""};var getRadioValue=a=>isArray(a)?a.reduce((a,{ref:{checked:c,value:d}})=>c?{isValid:!0,value:d}:a,defaultReturn):defaultReturn,getMultipleSelectValue=a=>[...a].filter(({selected:a})=>a).map(({value:a})=>a),isFileInput=a=>!!a&&"file"===a.type,isMultipleSelect=a=>!!a&&"select-multiple"===a.type,isEmptyString=a=>""===a;let defaultResult={value:!1,isValid:!1},validResult={value:!0,isValid:!0};
var getCheckboxValue=a=>{if(isArray(a)){if(1<a.length)return a=a.filter(({ref:{checked:a}})=>a).map(({ref:{value:a}})=>a),{value:a,isValid:!!a.length};let {checked:b,value:c,attributes:d}=a[0].ref;return b?d&&!isUndefined(d.value)?isUndefined(c)||isEmptyString(c)?validResult:{value:c,isValid:!0}:validResult:defaultResult}return defaultResult};
function getFieldValue(a,b){let {name:c,value:d}=b;a=a[c];return isFileInput(b)?b.files:isRadioInput(b)?a?getRadioValue(a.options).value:"":isMultipleSelect(b)?getMultipleSelectValue(b.options):isCheckBoxInput(b)?a?getCheckboxValue(a.options).value:!1:d}
var isString=a=>"string"===typeof a,getFieldsValues=(a,b)=>{let c={},d=isString(b),e=isArray(b),f=b&&b.nest;for(let h in a)if(isUndefined(b)||f||d&&h.startsWith(b)||e&&b.find(a=>h.startsWith(a)))c[h]=getFieldValue(a,a[h].ref);return c},isEmptyObject=a=>isObject(a)&&!Object.keys(a).length,compareObject=(a={},b={})=>Object.entries(a).reduce((a,[d,e])=>a?b[d]&&b[d]===e:!1,!0),isSameError=(a,{type:b,types:c,message:d})=>isObject(a)&&a.type===b&&a.message===d&&compareObject(a.types,c);
function shouldUpdateWithError({errors:a,name:b,error:c,validFields:d,fieldsWithValidation:e}){let f=isEmptyObject(c),h=isEmptyObject(a);c=get(c,b);a=get(a,b);return f&&d.has(b)||a&&a.isManual?!1:h!==f||!h&&!a||f&&e.has(b)&&!d.has(b)?!0:c&&!isSameError(a,c)}var isRegex=a=>a instanceof RegExp,getValueAndMessage=a=>{let b=isObject(a)&&!isRegex(a);return{value:b?a.value:a,message:b?a.message:""}},isFunction=a=>"function"===typeof a,isBoolean=a=>"boolean"===typeof a;
function getValidateError(a,b,c="validate"){let d=isString(a);if(d||isBoolean(a)&&!a)return{type:c,message:d?a:"",ref:b}}
var appendErrors=(a,b,c,d,e)=>{if(!b)return{};a=c[a];return Object.assign(Object.assign({},a),{types:Object.assign(Object.assign({},a&&a.types?a.types:{}),{[d]:e||!0})})},validateField=async(a,b,{ref:c,ref:{type:d,value:e,name:f},options:h,required:u,maxLength:z,minLength:A,min:v,max:k,pattern:m,validate:g})=>{a=a.current;let p={},I=isRadioInput(c),D=isCheckBoxInput(c),y=I||D,x=isEmptyString(e),n=appendErrors.bind(null,f,b,p),q=(a,d,e,h=INPUT_VALIDATION_RULES.maxLength,l=INPUT_VALIDATION_RULES.minLength)=>
{d=a?d:e;p[f]=Object.assign({type:a?h:l,message:d,ref:c},a?n(h,d):n(l,d));if(!b)return p};if(u&&(!I&&!D&&(x||isNullOrUndefined(e))||isBoolean(e)&&!e||D&&!getCheckboxValue(h).isValid||I&&!getRadioValue(h).isValid)){let {value:d,message:e}=isString(u)?{value:!!u,message:u}:getValueAndMessage(u);if(d&&(p[f]=Object.assign({type:INPUT_VALIDATION_RULES.required,message:e,ref:y?a[f].options[0].ref:c},n(INPUT_VALIDATION_RULES.required,e)),!b))return p}if(!isNullOrUndefined(v)||!isNullOrUndefined(k)){var r;
let a,{value:f,message:h}=getValueAndMessage(k),{value:g,message:l}=getValueAndMessage(v);"number"===d||!d&&!isNaN(e)?(d=c.valueAsNumber||parseFloat(e),isNullOrUndefined(f)||(r=d>f),isNullOrUndefined(g)||(a=d<g)):(d=c.valueAsDate||new Date(e),isString(f)&&(r=d>new Date(f)),isString(g)&&(a=d<new Date(g)));if(r||a)if(q(!!r,h,l,INPUT_VALIDATION_RULES.max,INPUT_VALIDATION_RULES.min),!b)return p}if(isString(e)&&!x&&(z||A)){let {value:a,message:c}=getValueAndMessage(z),{value:d,message:f}=getValueAndMessage(A);
r=e.toString().length;z=z&&r>a;A=A&&r<d;if(z||A)if(q(!!z,c,f),!b)return p}if(m&&!x){let {value:a,message:d}=getValueAndMessage(m);if(isRegex(a)&&!a.test(e)&&(p[f]=Object.assign({type:INPUT_VALIDATION_RULES.pattern,message:d,ref:c},n(INPUT_VALIDATION_RULES.pattern,d)),!b))return p}if(g){let d=getFieldValue(a,c),k=y&&h?h[0].ref:c;if(isFunction(g))e=await g(d),(e=getValidateError(e,k))&&(p[f]=Object.assign(Object.assign({},e),n(INPUT_VALIDATION_RULES.validate,e.message)));else if(isObject(g)){let a=
Object.entries(g);e=await new Promise(c=>{a.reduce(async(e,[h,g],m)=>{if(!isEmptyObject(await e)&&!b||!isFunction(g))return c(e);g=await g(d);if(g=getValidateError(g,k,h))e=Object.assign(Object.assign({},g),n(h,g.message)),b&&(p[f]=e);return a.length-1===m?c(e):e},{})});isEmptyObject(e)||(p[f]=Object.assign({ref:k},e))}}return p};
let parseErrorSchema=(a,b)=>isArray(a.inner)?a.inner.reduce((a,{path:d,message:e,type:f})=>Object.assign(Object.assign({},a),a[d]&&b?{[d]:appendErrors(d,b,a,f,e)}:{[d]:a[d]||Object.assign({message:e,type:f},b?{types:{[f]:e||!0}}:{})}),{}):{[a.path]:{message:a.message,type:a.type}};
async function validateWithSchema(a,b,c,d,e){if(d)return d(c,e);try{return{values:await a.validate(c,{abortEarly:!1,context:e}),errors:{}}}catch(f){return{values:{},errors:transformToNestObject(parseErrorSchema(f,b))}}}var getDefaultValue=(a,b,c)=>isUndefined(a[b])?get(a,b,c):a[b];function flatArray(a){return a.reduce((a,c)=>a.concat(isArray(c)?flatArray(c):c),[])}var isPrimitive=a=>isNullOrUndefined(a)||!isObjectType(a);
let getPath=(a,b)=>{const c=(b,c,f)=>{c=f?`${a}.${c}`:`${a}[${c}]`;return isPrimitive(b)?c:getPath(c,b)};return isArray(b)?b.map((a,b)=>c(a,b)):Object.entries(b).map(([a,b])=>c(b,a,!0))};
var getPath$1=(a,b)=>flatArray(getPath(a,b)),assignWatchFields=(a,b,c,d,e)=>{c.add(b);isEmptyObject(a)?a=e?e:void 0:isUndefined(a[b])?(a=get(transformToNestObject(a),b),isArray(e)&&isArray(a)&&a.length!==e.length&&(a=e),isUndefined(a)||getPath$1(b,a).forEach(a=>c.add(a))):(a=a[b],c.add(b));return isUndefined(a)?isObject(d)?getDefaultValue(d,b):d:a},skipValidation=({hasError:a,isBlurEvent:b,isOnSubmit:c,isReValidateOnSubmit:d,isOnBlur:e,isReValidateOnBlur:f,isSubmitted:h})=>c&&d||c&&!h||e&&!b&&!a||
f&&!b&&a||d&&h,getFieldValueByName=(a,b)=>{a=transformToNestObject(getFieldsValues(a));return b?get(a,b,a):a};function getIsFieldsDifferent(a,b){let c=!1;if(!isArray(a)||!isArray(b)||a.length!==b.length)return!0;for(let d=0;d<a.length&&!c;d++){let e=a[d],f=b[d];if(isUndefined(f)||Object.keys(e).length!==Object.keys(f).length){c=!0;break}for(let a in e)if(e[a]!==f[a]){c=!0;break}}return c}let isMatchFieldArrayName=(a,b)=>a.startsWith(`${b}[`);
var isNameInFieldArray=(a,b)=>[...a].reduce((a,d)=>isMatchFieldArrayName(b,d)?!0:a,!1),isFileListObject=a=>typeof FileList!==UNDEFINED&&a instanceof FileList;function onDomRemove(a,b){let c=new MutationObserver(()=>{isDetached(a)&&(c.disconnect(),b())});c.observe(window.document,{childList:!0,subtree:!0});return c}function castPath(a){return isArray(a)?a:stringToPath(a)}
function baseGet(a,b){let c=isKey(b)?[b]:castPath(b);b=b.length;let d=0;for(;d<b;)a=isUndefined(a)?d++:a[c[d++]];return d==b?a:void 0}function baseSlice(a,b,c){let d=-1,e=a.length;0>b&&(b=-b>e?0:e+b);c=c>e?e:c;0>c&&(c+=e);e=b>c?0:c-b;for(c=Array(e);++d<e;)c[d]=a[d+b];return c}function parent(a,b){return 1==b.length?a:baseGet(a,baseSlice(b,0,-1))}function baseUnset(a,b){b=isKey(b)?[b]:castPath(b);a=parent(a,b);b=b[b.length-1];return null==a||delete a[b]}
function unset(a,b){b.forEach(b=>{baseUnset(a,b)});return a}var modeChecker=a=>({isOnSubmit:!a||a===VALIDATION_MODE.onSubmit,isOnBlur:a===VALIDATION_MODE.onBlur,isOnChange:a===VALIDATION_MODE.onChange});let {useRef,useState,useCallback,useEffect}=React;
function useForm({mode:a=VALIDATION_MODE.onSubmit,reValidateMode:b=VALIDATION_MODE.onChange,validationSchema:c,validationResolver:d,validationContext:e,defaultValues:f={},submitFocusError:h=!0,validateCriteriaMode:u}={}){function z(a){isEmptyObject(k.current)||(isArray(a)?a:[a]).forEach(a=>U(k.current[a],!0))}function A(a,b={}){if(!a.name)return console.warn("Missing name @",a);let {name:c,type:d,value:B}=a,e=Object.assign({ref:a},b),T=k.current,l=isRadioInput(a)||isCheckBoxInput(a),f=T[c],g=!0,h=
!1,E;if(l?f&&isArray(f.options)&&f.options.find(({ref:a})=>B===a.value):f)T[c]=Object.assign(Object.assign({},f),b);else{if(d){let B=onDomRemove(a,()=>U(e));f=l?Object.assign({options:[...f&&f.options||[],{ref:a,mutationWatcher:B}],ref:{type:d,name:c}},b):Object.assign(Object.assign({},e),{mutationWatcher:B})}else f=e;T[c]=f;isEmptyObject(w.current)||(E=getDefaultValue(w.current,c),g=isUndefined(E),h=isNameInFieldArray(L.current,c),g||h||X(c,E));H&&!h&&F.current.isValid?V():isEmptyObject(b)||(x.current.add(c),
!M&&F.current.isValid&&validateField(k,m,f).then(a=>{let b=q.current;isEmptyObject(a)?n.current.add(c):q.current=!1;b!==q.current&&t()}));r.current[c]||h&&g||(r.current[c]=g?getFieldValue(T,f.ref):E);d&&attachEventListeners({field:l&&f.options?f.options[f.options.length-1]:f,isRadioOrCheckbox:l,handleChange:K.current})}}function v(a,b){if(!aa)if(isString(a))A({name:a},b);else if(isObject(a)&&"name"in a)A(a,b);else return b=>b&&A(b,a)}let k=useRef({}),m="all"===u,g=useRef({}),p=useRef({}),I=useRef({}),
D=useRef(new Set),y=useRef(new Set),x=useRef(new Set),n=useRef(new Set),q=useRef(!0),r=useRef({}),w=useRef(f),G=useRef(!1),C=useRef(!1),J=useRef(!1),l=useRef(!1),E=useRef(0),O=useRef(!1),K=useRef(),Q=useRef({}),L=useRef(new Set),[,Y]=useState(),{isOnBlur:R,isOnSubmit:M}=useRef(modeChecker(a)).current,aa=typeof window===UNDEFINED,H=!(!c&&!d),P=typeof document!==UNDEFINED&&!aa&&!isUndefined(window.HTMLElement),N=P&&"Proxy"in window,F=useRef({dirty:!N,dirtyFields:!N,isSubmitted:M,submitCount:!N,touched:!N,
isSubmitting:!N,isValid:!N}),{isOnBlur:ba,isOnSubmit:ca}=useRef(modeChecker(b)).current,t=useCallback(()=>{G.current||Y({})},[]),S=useCallback((a,b,c,d)=>{c=c||shouldUpdateWithError({errors:g.current,error:b,name:a,validFields:n.current,fieldsWithValidation:x.current});if(isEmptyObject(b)){if(x.current.has(a)||H)n.current.add(a),c=c||get(g.current,a);g.current=unset(g.current,[a])}else n.current.delete(a),c=c||!get(g.current,a),set(g.current,a,b[a]);if(c&&!d)return t(),!0},[t,H]),X=useCallback((a,
b)=>{var c=k.current[a];if(!c)return!1;a=c.ref;c=c.options;const {type:d}=a,e=P&&isHTMLElement(a)&&isNullOrUndefined(b)?"":b;isRadioInput(a)&&c?c.forEach(({ref:a})=>a.checked=a.value===e):isFileInput(a)?isEmptyString(e)||isFileListObject(e)?a.files=e:a.value=e:isMultipleSelect(a)?[...a.options].forEach(a=>a.selected=e.includes(a.value)):isCheckBoxInput(a)&&c?1<c.length?c.forEach(({ref:a})=>a.checked=e.includes(a.value)):c[0].ref.checked=!!e:a.value=e;return!!d},[P]),da=a=>{if(!k.current[a]||!F.current.dirty&&
!F.current.dirtyFields)return!1;const b=isNameInFieldArray(L.current,a),c=y.current.size;var d=r.current[a]!==getFieldValue(k.current,k.current[a].ref);b&&(d=a.substring(0,a.indexOf("[")),d=getIsFieldsDifferent(getFieldValueByName(k.current,d),get(w.current,d)));const e=(b?l.current:y.current.has(a))!==d;d?y.current.add(a):y.current.delete(a);l.current=b?d:!!y.current.size;return F.current.dirty?e:c!==y.current.size},ea=useCallback((a,b)=>{X(a,b);if(da(a)||!get(p.current,a)&&F.current.touched)return!!set(p.current,
a,!0)},[X]),Z=useCallback(async(a,b)=>{var c=k.current[a];if(!c)return!1;c=await validateField(k,m,c);S(a,c,!1,b);return isEmptyObject(c)},[S,m]),fa=useCallback(async a=>{const {errors:b}=await validateWithSchema(c,m,getFieldValueByName(k.current),d,e),B=q.current;q.current=isEmptyObject(b);isArray(a)?(a.forEach(a=>{const c=get(b,a);c?set(g.current,a,c):unset(g.current,[a])}),t()):S(a,get(b,a)?{[a]:get(b,a)}:{},B!==q.current);return isEmptyObject(g.current)},[t,S,m,e,d,c]),W=useCallback(async a=>
{a=a||Object.keys(k.current);return H?fa(a):isArray(a)?(a=await Promise.all(a.map(async a=>await Z(a,!0))),t(),a.every(Boolean)):await Z(a)},[fa,Z,t,H]),ha=a=>{const b=(a.match(/\w+/)||[])[0];return C.current||D.current.has(a)||D.current.has(b)&&!isKey(a)&&L.current.has(b)};a=useCallback((a,b,c)=>{(ea(a,b)||ha(a))&&t();c&&W(a)},[t,ea,W]);K.current=K.current?K.current:async({type:a,target:b})=>{b=b?b.name:"";var f=k.current,l=f[b],h=get(g.current,b);if(l){var B=a===EVENTS.BLUR;h=skipValidation({hasError:!!h,
isBlurEvent:B,isOnSubmit:M,isReValidateOnSubmit:ca,isOnBlur:R,isReValidateOnBlur:ba,isSubmitted:J.current});a=da(b);a=ha(b)||a;B&&!get(p.current,b)&&F.current.touched&&(set(p.current,b,!0),a=!0);if(h)return a&&t();H?({errors:l}=await validateWithSchema(c,m,getFieldValueByName(f),d,e),f=q.current,q.current=isEmptyObject(l),l=get(l,b)?{[b]:get(l,b)}:{},f!==q.current&&(a=!0)):l=await validateField(k,m,l);!S(b,l)&&a&&t()}};let V=useCallback((a={})=>{const b=isEmptyObject(w.current)?getFieldsValues(k.current):
w.current;validateWithSchema(c,m,transformToNestObject(Object.assign(Object.assign({},b),a)),d,e).then(({errors:a})=>{const b=q.current;q.current=isEmptyObject(a);b!==q.current&&t()})},[t,m,e,d]),ia=(a,b)=>{!isUndefined(K.current)&&a&&findRemovedFieldAndRemoveListener(k.current,K.current,a,b)},U=useCallback((a,b)=>{if(a&&(!a||!isNameInFieldArray(L.current,a.ref.name)||b)){ia(a,b);var {name:c}=a.ref;g.current=unset(g.current,[c]);p.current=unset(p.current,[c]);r.current=unset(r.current,[c]);[y,x,n,
D].forEach(a=>a.current.delete(c));if(F.current.isValid||F.current.touched)t(),H&&V()}},[t,H,V]),ja=({name:a,type:b,types:c,message:d,preventRender:e})=>{const f=k.current[a];isSameError(g.current[a],{type:b,message:d,types:c})||(set(g.current,a,{type:b,types:c,message:d,ref:f?f.ref:{},isManual:!0}),e||t())};b=useCallback(a=>async b=>{b&&(b.preventDefault(),b.persist());let f,l;const B=k.current;F.current.isSubmitting&&(O.current=!0,t());try{if(H){l=getFieldsValues(B);const {errors:a,values:b}=await validateWithSchema(c,
m,transformToNestObject(l),d,e);f=g.current=a;l=b}else{const {errors:a,values:b}=await Object.values(B).reduce(async(a,b)=>{if(!b)return a;a=await a;const {ref:c,ref:{name:d}}=b;if(!B[d])return Promise.resolve(a);b=await validateField(k,m,b);if(b[d])return set(a.errors,d,b[d]),n.current.delete(d),Promise.resolve(a);x.current.has(d)&&n.current.add(d);a.values[d]=getFieldValue(B,c);return Promise.resolve(a)},Promise.resolve({errors:{},values:{}}));f=a;l=b}isEmptyObject(f)?(g.current={},await a(transformToNestObject(l),
b)):(h&&P&&focusErrorField(B,f),g.current=f)}finally{J.current=!0,O.current=!1,E.current+=1,t()}},[P,t,H,h,m,e,d,c]);f=a=>{const b=getFieldsValues(k.current);return a&&a.nest?transformToNestObject(b):b};useEffect(()=>()=>{G.current=!0;k.current&&Object.values(k.current).forEach(a=>U(a,!0))},[U]);H||(q.current=n.current.size>=x.current.size&&isEmptyObject(g.current));u={dirty:l.current,dirtyFields:y.current,isSubmitted:J.current,submitCount:E.current,touched:p.current,isSubmitting:O.current,isValid:M?
J.current&&isEmptyObject(g.current):q.current};return{watch:function(a,b){let c=isUndefined(b)?isUndefined(w.current)?{}:w.current:b,d=getFieldsValues(k.current,a),e=D.current;N&&(F.current.dirty=!0);if(isString(a))return assignWatchFields(d,a,e,c,L.current.has(a)?I.current[a]:void 0);if(isArray(a))return a.reduce((a,b)=>{let f;f=isEmptyObject(k.current)&&isObject(c)?getDefaultValue(c,b):assignWatchFields(d,b,e,c);return Object.assign(Object.assign({},a),{[b]:f})},{});C.current=!0;b=!isEmptyObject(d)&&
d||b||w.current;return a&&a.nest?transformToNestObject(b):b},control:Object.assign(Object.assign({register:v,unregister:z,removeFieldEventListener:ia,getValues:f,setValue:a,triggerValidation:W},H?{validateSchemaIsValid:V}:{}),{formState:u,mode:{isOnBlur:R,isOnSubmit:M},reValidateMode:{isReValidateOnBlur:ba,isReValidateOnSubmit:ca},errorsRef:g,touchedFieldsRef:p,fieldsRef:k,resetFieldArrayFunctionRef:Q,validFieldsRef:n,fieldsWithValidationRef:x,watchFieldArrayRef:I,fieldArrayNamesRef:L,isDirtyRef:l,
readFormStateRef:F,defaultValuesRef:w}),handleSubmit:b,setValue:a,triggerValidation:W,getValues:useCallback(f,[]),reset:useCallback(a=>{if(P)for(const a of Object.values(k.current))if(a&&isHTMLElement(a.ref)&&a.ref.closest)try{a.ref.closest("form").reset();break}catch(ka){}a&&(w.current=a);Object.values(Q.current).forEach(a=>isFunction(a)&&a());g.current={};k.current={};p.current={};n.current=new Set;x.current=new Set;r.current={};D.current=new Set;y.current=new Set;C.current=!1;J.current=!1;l.current=
!1;q.current=!0;E.current=0;t()},[]),register:useCallback(v,[w.current,r.current]),unregister:useCallback(z,[]),clearError:useCallback(function(a){isUndefined(a)?g.current={}:unset(g.current,isArray(a)?a:[a]);t()},[]),setError:useCallback(function(a,b="",c){isString(a)?ja(Object.assign({name:a},isObject(b)?{types:b,type:""}:{type:b,message:c})):isArray(a)&&(a.forEach(a=>ja(Object.assign(Object.assign({},a),{preventRender:!0}))),t())},[]),errors:g.current,formState:N?new Proxy(u,{get:(a,b)=>b in a?
(F.current[b]=!0,a[b]):{}}):u}}function __rest(a,b){var c={},d;for(d in a)Object.prototype.hasOwnProperty.call(a,d)&&0>b.indexOf(d)&&(c[d]=a[d]);if(null!=a&&"function"===typeof Object.getOwnPropertySymbols){var e=0;for(d=Object.getOwnPropertySymbols(a);e<d.length;e++)0>b.indexOf(d[e])&&Object.prototype.propertyIsEnumerable.call(a,d[e])&&(c[d[e]]=a[d[e]])}return c}let FormGlobalContext=React.createContext(null);
function useFormContext(){let a=React.useContext(FormGlobalContext);if(!isUndefined(a))return a;throw Error("Missing FormContext");}function FormContext(a){var {children:b,formState:c,errors:d}=a;a=__rest(a,["children","formState","errors"]);return React.createElement(FormGlobalContext.Provider,{value:Object.assign(Object.assign({},a),{formState:c,errors:d})},b)}
var generateId=()=>{let a=typeof performance===UNDEFINED?Date.now():1E3*performance.now();return"xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g,function(b){let c=(16*Math.random()+a)%16|0;return("x"==b?c:c&3|8).toString(16)})};let appendId=(a,b)=>Object.assign(Object.assign({},isObject(a)?a:{value:a}),{[b]:generateId()}),mapIds=(a,b)=>(isArray(a)?a:[]).map(a=>appendId(a,b));
var removeArrayAt=(a,b)=>isUndefined(b)?[]:a.filter((a,d)=>0>(isArray(b)?b:[b]).indexOf(d)),moveArrayAt=(a,b,c)=>isArray(a)?a.splice(c,0,a.splice(b,1)[0]):[],swapArrayAt=(a,b,c)=>isArray(a)&&([a[b],a[c]]=[a[c],a[b]]),prependAt=(a,b)=>[...isArray(b)?b:[b||null],...a],insertAt=(a,b,c)=>[...a.slice(0,b),...isArray(c)?c:[c||null],...a.slice(b)],fillEmptyArray=a=>isArray(a)?Array(a.length).fill(null):void 0;
let {useEffect:useEffect$1,useRef:useRef$1,useState:useState$1}=React,useFieldArray=({control:a,name:b,keyName:c="id"})=>{const d=useFormContext(),{resetFieldArrayFunctionRef:e,fieldArrayNamesRef:f,fieldsRef:h,getValues:u,defaultValuesRef:z,removeFieldEventListener:A,errorsRef:v,isDirtyRef:k,touchedFieldsRef:m,readFormStateRef:g,watchFieldArrayRef:p,validFieldsRef:I,fieldsWithValidationRef:D,validateSchemaIsValid:y}=a||d.control,x=useRef$1(get(z.current,b,[])),[n,q]=useState$1(mapIds(x.current,c)),
r=a=>a.map(a=>appendId(a,c)),w=a=>{p.current[b]=a;q(a);g.current.isValid&&y&&y({[b]:a})},G=a=>{g.current.dirty&&(k.current=isUndefined(a)?!0:getIsFieldsDifferent(a,x.current));for(const a in h.current)isMatchFieldArrayName(a,b)&&h.current[a]&&A(h.current[a],!0)},C=()=>{const a=u({nest:!0})[b];if(isArray(a))for(let b=0;b<a.length;b++)n[b]=Object.assign(Object.assign({},n[b]),a[b])},J=()=>{G();x.current=get(z.current,b,[]);q(mapIds(x.current,c))};useEffect$1(()=>{const a=e.current,c=f.current;c.add(b);
a[b]=J;p.current[b]={};return()=>{G();delete a[b];c.delete(b)}},[]);return{swap:(a,c)=>{C();const d=getFieldValueByName(h.current,b);swapArrayAt(d,a,c);G(d);swapArrayAt(n,a,c);w([...n]);v.current[b]&&swapArrayAt(v.current[b],a,c);g.current.touched&&m.current[b]&&swapArrayAt(m.current[b],a,c)},move:(a,c)=>{C();const d=getFieldValueByName(h.current,b);moveArrayAt(d,a,c);G(d);moveArrayAt(n,a,c);w([...n]);v.current[b]&&moveArrayAt(v.current[b],a,c);g.current.touched&&m.current[b]&&moveArrayAt(m.current[b],
a,c)},prepend:a=>{C();G();w(prependAt(n,isArray(a)?r(a):[appendId(a,c)]));v.current[b]&&(v.current[b]=prependAt(v.current[b],fillEmptyArray(a)));g.current.touched&&m.current[b]&&(m.current[b]=prependAt(m.current[b],fillEmptyArray(a)))},append:a=>{C();g.current.dirty&&(k.current=!0);w([...n,...isArray(a)?r(a):[appendId(a,c)]])},remove:a=>{isUndefined(a)||C();G(removeArrayAt(getFieldValueByName(h.current,b),a));w(removeArrayAt(n,a));v.current[b]&&(v.current[b]=removeArrayAt(v.current[b],a));g.current.touched&&
m.current[b]&&(m.current[b]=removeArrayAt(m.current[b],a));g.current.isValid&&!y&&n.forEach((c,d)=>{if(isUndefined(a)||d===a||isArray(a)&&0<=a.indexOf(d))for(const d in c)c=`${b}[${a}].${d}`,I.current.delete(c),D.current.delete(c)})},insert:(a,d)=>{C();G(insertAt(getFieldValueByName(h.current,b),a));w(insertAt(n,a,isArray(d)?r(d):[appendId(d,c)]));v.current[b]&&(v.current[b]=insertAt(v.current[b],a,fillEmptyArray(d)));g.current.touched&&m.current[b]&&(m.current[b]=insertAt(m.current[b],a,fillEmptyArray(d)))},
fields:n}};var getInputValue=(a,b)=>isNullOrUndefined(a)?a:b?isUndefined(a.checked)?a:a.checked:isUndefined(a.value)?a:a.value;
let Controller=a=>{var {name:b,rules:c,as:d,onBlur:e,onChange:f,onChangeName:h=VALIDATION_MODE.onChange,onBlurName:u=VALIDATION_MODE.onBlur,valueName:z,defaultValue:A,control:v}=a;a=__rest(a,"name rules as onBlur onChange onChangeName onBlurName valueName defaultValue control".split(" "));var k=useFormContext();const {defaultValuesRef:m,setValue:g,register:p,unregister:I,errorsRef:D,removeFieldEventListener:y,triggerValidation:x,mode:{isOnSubmit:n,isOnBlur:q},reValidateMode:{isReValidateOnBlur:r,
isReValidateOnSubmit:w},formState:{isSubmitted:G},fieldsRef:C,fieldArrayNamesRef:J}=v||k.control,[l,E]=React.useState(isUndefined(A)?get(m.current,b):A),O=React.useRef(l),K=isBoolean(l),Q=()=>!skipValidation({hasError:!!get(D.current,b),isOnBlur:q,isOnSubmit:n,isReValidateOnBlur:r,isReValidateOnSubmit:w,isSubmitted:G}),L=a=>{a=getInputValue(a,K);E(a);return O.current=a};k=a=>(...c)=>g(b,L(a(c)),Q());const Y=a=>{a=L(a&&a.target?a.target:a);g(b,a,Q())},R=()=>{isNameInFieldArray(J.current,b)&&C.current[b]&&
y(C.current[b],!0);p(Object.defineProperty({name:b},VALUE,{set(a){E(a);O.current=a},get(){return O.current}}),Object.assign({},c))};C.current[b]||(R(),E(isUndefined(A)?get(m.current,b):A));React.useEffect(()=>{R();return()=>{isNameInFieldArray(J.current,b)||I(b)}},[b]);const M=q||r;a=Object.assign(Object.assign(Object.assign(Object.assign({name:b},a),f?{[h]:k(f)}:{[h]:Y}),e||M?{[u]:(...a)=>{e&&e(a);M&&x(b)}}:{}),{[z||(K?"checked":VALUE)]:l});return React.isValidElement(d)?React.cloneElement(d,a):
React.createElement(d,Object.assign({},a))},ErrorMessage=a=>{var {as:b,errors:c,name:d,message:e,children:f}=a;a=__rest(a,["as","errors","name","message","children"]);var h=useFormContext();h=get(c||h.errors,d);if(!h)return null;const {message:u,types:z}=h;a=Object.assign(Object.assign({},b?a:{}),{children:f?f({message:u||e,messages:z}):u||e});return b?React.isValidElement(b)?React.cloneElement(b,a):React.createElement(b,a):React.createElement(React.Fragment,Object.assign({},a))};
exports.Controller=Controller;exports.ErrorMessage=ErrorMessage;exports.FormContext=FormContext;exports.useFieldArray=useFieldArray;exports.useForm=useForm;exports.useFormContext=useFormContext
